package jalview.datamodel.annotations;

import jalview.datamodel.AlignmentAnnotation.TFType;
import jalview.datamodel.Annotation;
import jalview.util.MessageManager;

public class AlphaFoldAnnotationRowBuilder extends AnnotationRowBuilder
{
  public AlphaFoldAnnotationRowBuilder()
  {
    super(MessageManager.getString("label.alphafold_reliability"));
    min = 0;
    max = 100;
    hasMinMax = true;
    this.setTFType(TFType.PLDDT);
  }

  @Override
  public void processAnnotation(Annotation annotation)
  {
    if (annotation.value > 90)
    {
      // Very High
      annotation.colour = new java.awt.Color(0, 83, 214);
    }
    if (annotation.value <= 90)
    {
      // High
      annotation.colour = new java.awt.Color(101, 203, 243);
    }
    if (annotation.value <= 70)
    {
      // Confident
      annotation.colour = new java.awt.Color(255, 219, 19);
    }
    if (annotation.value < 50)
    {
      annotation.colour = new java.awt.Color(255, 125, 69);
    }
  }
}